Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.lyo.client.oslc.jazz
Class JazzRootServicesHelper

    java.lang.Object
      org.eclipse.lyo.client.oslc.jazz.JazzRootServicesHelper

    public class JazzRootServicesHelper

extends Object

Helper class to assist in retrieval of attributes from the IBM Rational Jazz rootservices document This class is not currently thread safe.

Constructor Summary
`JazzRootServicesHelper(String url, String catalogDomain)` Initialize Jazz rootservices-related URLs such as the catalog location and OAuth URLs rootservices is unprotected and access does not require authentication

Method Summary
`String` | `getCatalogUrl()` Get the OSLC Catalog URL
`JazzFormAuthClient` | `initFormClient(String userid, String password)`
`JazzFormAuthClient` | `initFormClient(String userid, String password, String authUrl)`
`OslcOAuthClient` | `initOAuthClient(String consumerKey, String secret)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JazzRootServicesHelper

    public JazzRootServicesHelper(String url,
                                  String catalogDomain)
                           throws RootServicesException

  Initialize Jazz rootservices-related URLs such as the catalog location and OAuth URLs rootservices is unprotected and access does not require authentication

  Parameters:
    `url` - - base URL of the Jazz server, no including /rootservices. Example: https://example.com:9443/ccm
    `catalogDomain` - - Namespace of the OSLC domain to find the catalog for. Example: OSLCConstants.OSLC_CM
  Throws:
    `RootServicesException`

Method Detail

### getCatalogUrl

    public String getCatalogUrl()

  Get the OSLC Catalog URL

  Returns:

### initOAuthClient

    public OslcOAuthClient initOAuthClient(String consumerKey,
                                           String secret)

  Parameters:
    `consumerKey` -
    `secret` -
  Returns:

### initFormClient

    public JazzFormAuthClient initFormClient(String userid,
                                             String password)

  Parameters:
    `userid` -
    `password` -
  Returns:

### initFormClient

    public JazzFormAuthClient initFormClient(String userid,
                                             String password,
                                             String authUrl)

  Parameters:
    `userid` -
    `password` -
    `authUrl` - - the base URL to use for authentication. This is normally the application base URL for RQM and RTC and is the JTS application URL for fronting applications like RRC and DM.
  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2014. All Rights Reserved.